[open-ils-commits] [GIT] Evergreen ILS branch rel_3_0 updated. 71a8f14cc21566d2e02d1a9dbcaf844200ba396b

Evergreen Git git at git.evergreen-ils.org
Tue Feb 6 17:05:05 EST 2018


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "Evergreen ILS".

The branch, rel_3_0 has been updated
       via  71a8f14cc21566d2e02d1a9dbcaf844200ba396b (commit)
       via  9b6b37d5e039f56e441650750214cfe4ec6f66b2 (commit)
      from  b7cd9e777c360a2303602114ea32bf6fa64fbe88 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 71a8f14cc21566d2e02d1a9dbcaf844200ba396b
Author: Galen Charlton <gmc at equinoxinitiative.org>
Date:   Tue Feb 6 17:09:31 2018 -0500

    LP#1743220: update EDI translator's README
    
    Signed-off-by: Galen Charlton <gmc at equinoxinitiative.org>

diff --git a/Open-ILS/src/edi_translator/README b/Open-ILS/src/edi_translator/README
index 5517f93..f318bea 100644
--- a/Open-ILS/src/edi_translator/README
+++ b/Open-ILS/src/edi_translator/README
@@ -13,17 +13,18 @@ translating to JSON (JEDI) for edi_fetcher.pl and to EDI for edi_pusher.pl,
 respectively.
 
 Files:
-    edi_webrick.bash - wrapper script for setting ENV, calling edi_webrick.rb
-    edi_webrick.cnf  - edi_webrick.rb config script
-    edi_webrick.rb   - the main EDI translator daemon script
-    install.sh       - dependency installer (for debian lenny)
-    README           - this file
-    misc/            - patches to EDI4R; purely temporary until we can
-                       get the changes accepted upstream
-
-This service can be run on a local or remote system that has the proper ruby environment
-established.  See the install.sh script for an example of how to install the needed ruby
-components (on debian lenny linux).
+    edi_webrick.bash  - wrapper script for setting ENV, calling edi_webrick.rb
+    edi_webrick.cnf   - edi_webrick.rb config script
+    edi_webrick.rb    - the main EDI translator daemon script
+    install.sh        - dependency installer for Debian Lenny
+    install-ubuntu.sh - dependency installer for Ubuntu Trusty and Xenial
+    README            - this file
+    misc/             - patches to EDI4R; purely temporary until we can
+                        get the changes accepted upstream
+
+This service can be run on a local or remote system that has the proper Ruby environment
+established.  See the install.sh script for an example of how to install the needed Ruby
+components (on Debian Lenny linux) or install-ubuntu.sh (on Ubuntu Trusty and Xenial).
 
 There is no such thing (yet?) as "push" from a vendor of their EDI responses.  Basically
 they just put responses in an FTP directory somewhere that you are expected to check.  It

commit 9b6b37d5e039f56e441650750214cfe4ec6f66b2
Author: Chris Sharp <csharp at georgialibraries.org>
Date:   Sun Jan 14 08:39:53 2018 -0500

    LP#1743220: Update script to accommodate Ubuntu 16.04.
    
    - renamed the script to "install-ubuntu.sh"
    - changed the hard-coded Ruby version to a variable
      that depends on the Ubuntu release (per the lsb_release
      command)
    - saw the script work on my 16.04 server
    
    Signed-off-by: Chris Sharp <csharp at georgialibraries.org>
    Signed-off-by: Jason Stephenson <jason at sigio.com>
    Signed-off-by: Galen Charlton <gmc at equinoxinitiative.org>

diff --git a/Open-ILS/src/edi_translator/install-ubuntu-trusty.sh b/Open-ILS/src/edi_translator/install-ubuntu-trusty.sh
deleted file mode 100755
index 6223070..0000000
--- a/Open-ILS/src/edi_translator/install-ubuntu-trusty.sh
+++ /dev/null
@@ -1,16 +0,0 @@
-#!/bin/bash
-# hopefully this is all temporary
-
-# install ruby via APT
-sudo apt-get install rubygems-integration ruby-dev
-
-# install gem dependencies
-sudo gem install parseconfig rspec edi4r edi4r-tdid json openils-mapper
-
-# clone berick's openils-mapper repo
-git clone https://github.com/berick/openils-mapper
-cd openils-mapper
-# move openils-mapper files into place
-git checkout -b GIR-segments-for-copy-data origin/GIR-segments-for-copy-data
-sudo cp lib/openils/mapper.rb /var/lib/gems/1.9.1/gems/openils-mapper-0.9.9/lib/openils/mapper.rb
-sudo cp lib/edi/mapper.rb /var/lib/gems/1.9.1/gems/openils-mapper-0.9.9/lib/edi/mapper.rb
diff --git a/Open-ILS/src/edi_translator/install-ubuntu.sh b/Open-ILS/src/edi_translator/install-ubuntu.sh
new file mode 100755
index 0000000..56728db
--- /dev/null
+++ b/Open-ILS/src/edi_translator/install-ubuntu.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+# hopefully this is all temporary
+
+UBUNTU_RELEASE=$(lsb_release -sc)
+if [ "$UBUNTU_RELEASE" == "xenial" ]; then
+    RUBY_VERSION="2.3.0"
+elif [ "$UBUNTU_RELEASE" == "trusty" ]; then
+    RUBY_VERSION="1.9.1"
+else 
+    echo "Could not determine your Ubuntu release."
+    echo "Please consult $0 and install manually."
+    exit 1
+fi
+
+# install ruby via APT
+sudo apt-get install rubygems-integration ruby-dev
+
+# install gem dependencies
+sudo gem install parseconfig rspec edi4r edi4r-tdid json openils-mapper
+
+# clone berick's openils-mapper repo
+git clone https://github.com/berick/openils-mapper
+cd openils-mapper
+# move openils-mapper files into place
+git checkout -b GIR-segments-for-copy-data origin/GIR-segments-for-copy-data
+sudo cp lib/openils/mapper.rb /var/lib/gems/$RUBY_VERSION/gems/openils-mapper-0.9.9/lib/openils/mapper.rb
+sudo cp lib/edi/mapper.rb /var/lib/gems/$RUBY_VERSION/gems/openils-mapper-0.9.9/lib/edi/mapper.rb

-----------------------------------------------------------------------

Summary of changes:
 Open-ILS/src/edi_translator/README                 |   23 +++++++++--------
 .../src/edi_translator/install-ubuntu-trusty.sh    |   16 -----------
 Open-ILS/src/edi_translator/install-ubuntu.sh      |   27 ++++++++++++++++++++
 3 files changed, 39 insertions(+), 27 deletions(-)
 delete mode 100755 Open-ILS/src/edi_translator/install-ubuntu-trusty.sh
 create mode 100755 Open-ILS/src/edi_translator/install-ubuntu.sh


hooks/post-receive
-- 
Evergreen ILS


More information about the open-ils-commits mailing list